mesa-vdpau-drivers trouble

Hello to all,
I am a linux user (Zorin 16) for a few days.
I am trying to fix this problem with the vdpau package for the drivers but without succeeding ...

Here is the problem:

valentina@Casa:~$ sudo apt --fix-broken install
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
Correzione delle dipendenze... Fatto
I seguenti pacchetti aggiuntivi saranno inoltre installati:
  mesa-vdpau-drivers
I seguenti pacchetti NUOVI saranno installati:
  mesa-vdpau-drivers
0 aggiornati, 1 installati, 0 da rimuovere e 4 non aggiornati.
1 non completamente installati o rimossi.
È necessario scaricare 0 B/2.946 kB di archivi.
Dopo quest'operazione, verranno occupati 44,1 MB di spazio su disco.
Continuare? [S/n] s
(Lettura del database... 285170 file e directory attualmente installati.)
Preparativi per estrarre .../mesa-vdpau-drivers_21.0.3-0ubuntu0.3~20.04.4_amd64.
deb...
Estrazione di mesa-vdpau-drivers:amd64 (21.0.3-0ubuntu0.3~20.04.4)...
dpkg-deb (sottoprocesso): estrazione componente dell'archivio: errore di lzma: i
 dati compressi sono rovinati
dpkg-deb: errore: il sottoprocesso <decompressione> ha restituito lo stato di er
rore 2
dpkg: errore nell'elaborare l'archivio /var/cache/apt/archives/mesa-vdpau-driver
s_21.0.3-0ubuntu0.3~20.04.4_amd64.deb (--unpack):
 impossibile copiare i dati estratti per "./usr/lib/x86_64-linux-gnu/vdpau/libvd
pau_nouveau.so.1.0.0" in "/usr/lib/x86_64-linux-gnu/vdpau/libvdpau_nouveau.so.1.
0.0.dpkg-new": fine del file o dello stream inattesa
Si sono verificati degli errori nell'elaborazione:
 /var/cache/apt/archives/mesa-vdpau-drivers_21.0.3-0ubuntu0.3~20.04.4_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Can you please clarify which Zorin OS version you are using? Your profile lists all of them.

Can you run

sudo apt clean && sudo apt autoremove

sudo apt update && sudo apt upgrade

1 Like

Hi Aravisian,
and thanks for the help. I'am using Zorin Os 16 (stable)
I've try to do whatyou have suggest me... this is the report:

valentina@Casa:~$ sudo apt clean && sudo apt autoremove
*[sudo] password di valentina: *
E: Could not get lock /var/cache/apt/archives/lock. It is held by process 3777 (synaptic)
N: Be aware that removing the lock file is not a solution and may break your system.
E: Impossibile bloccare la directory /var/cache/apt/archives/

For now I don't have try to send second command:

sudo apt update && sudo apt upgrade`

This is report from Synaptic when try to delete the corrupt package and re-install it.

(Lettura del database... 285177 file e directory attualmente installati.)
Rimozione di vdpau-driver-all:amd64 (1.3-1ubuntu2)...
(Lettura del database... 285173 file e directory attualmente installati.)
Preparativi per estrarre .../mesa-vdpau-drivers_21.0.3-0ubuntu0.3~20.04.4_amd64.deb...
Estrazione di mesa-vdpau-drivers:amd64 (21.0.3-0ubuntu0.3~20.04.4)...
dpkg-deb (sottoprocesso): estrazione componente dell'archivio: errore di lzma: i dati compressi sono rovinati
dpkg-deb: errore: il sottoprocesso ha restituito lo stato di errore 2
dpkg: errore nell'elaborare l'archivio /var/cache/apt/archives/mesa-vdpau-drivers_21.0.3-0ubuntu0.3~20.04.4_amd64.deb (--unpack):
impossibile copiare i dati estratti per "./usr/lib/x86_64-linux-gnu/vdpau/libvdpau_nouveau.so.1.0.0" in "/usr/lib/x86_64-linux-gnu/vdpau/libvdpau_nouveau.so.1.0.0.dpkg-new": fine del file o dello stream inattesa
Si sono verificati degli errori nell'elaborazione:
/var/cache/apt/archives/mesa-vdpau-drivers_21.0.3-0ubuntu0.3~20.04.4_amd64.deb
W: Lo scaricamento è eseguito come root, ma non in una sandbox, poiché l'utente "_apt" non ha accesso al file "/root/.synaptic/tmp//tmp_sh". - pkgAcquire::Run (13: Permesso negato)
E: Sub-process /usr/bin/dpkg returned an error code (1)
Installazione di un pacchetto non riuscita. Tentativo di ripristino:
Elaborazione dei trigger per libc-bin (2.31-0ubuntu9.2)...
(Lettura del database... 285177 file e directory attualmente installati.)
Rimozione di vdpau-driver-all:amd64 (1.3-1ubuntu2)...
(Lettura del database... 285173 file e directory attualmente installati.)
Preparativi per estrarre .../mesa-vdpau-drivers_21.0.3-0ubuntu0.3~20.04.4_amd64.deb...
Estrazione di mesa-vdpau-drivers:amd64 (21.0.3-0ubuntu0.3~20.04.4)...
dpkg-deb (sottoprocesso): estrazione componente dell'archivio: errore di lzma: i dati compressi sono rovinati
dpkg-deb: errore: il sottoprocesso ha restituito lo stato di errore 2
dpkg: errore nell'elaborare l'archivio /var/cache/apt/archives/mesa-vdpau-drivers_21.0.3-0ubuntu0.3~20.04.4_amd64.deb (--unpack):
impossibile copiare i dati estratti per "./usr/lib/x86_64-linux-gnu/vdpau/libvdpau_nouveau.so.1.0.0" in "/usr/lib/x86_64-linux-gnu/vdpau/libvdpau_nouveau.so.1.0.0.dpkg-new": fine del file o dello stream inattesa
Si sono verificati degli errori nell'elaborazione:
/var/cache/apt/archives/mesa-vdpau-drivers_21.0.3-0ubuntu0.3~20.04.4_amd64.deb
W: Lo scaricamento è eseguito come root, ma non in una sandbox, poiché l'utente "_apt" non ha accesso al file "/root/.synaptic/tmp//tmp_sh". - pkgAcquire::Run (13: Permesso negato)
E: Sub-process /usr/bin/dpkg returned an error code (1)
Installazione di un pacchetto non riuscita. Tentativo di ripristino:
Elaborazione dei trigger per libc-bin (2.31-0ubuntu9.2)...

Those are some very unexpected errors to get on Zorin 16. It references a package handling that shouldn't happen.
There may be a workaround for that... (Changing ownership of a file) But I prefer a fix.
Can you open Software & Updates from the app menu or launch it with alt+F2 and enter in software-properties-gtk and look at hte First Open Tab in the window. It has Download from and a Drop down menu.
Change this from your Regional server to Main Server.
Once done, reboot, go back into Software & Updates, ensure still main server...
Then in terminal run

sudo apt --fix-broken install

Then try installing the package again.
Remember, apt can only handle ONE manager at a time. If you have Synaptic or Software Store open when you run that it terminal, it will complain it cannot get a lock.

I can see why Aravisian is seeking clarification, asking you to confirm version of Zorin.
Your profile states "Zorin OS editions: Education Lite Lite None Education" none of which are Z16. Which Z16 flavour do you have?